@import "./base.css";
@import url("https://fonts.googleapis.com/css?family=Inter:400|Raleway:700");


/* login */

.login-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: radial-gradient(
    111.94% 100.78% at -7.5% 102.34%,
    #ff6347 29.44%,
    #4169e1 100%
  );
  height: 100vh;
}

.login-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 400px;
  height: 460px;
  border-radius: 8px;
  background-color: #fff;
  border-style: solid;
  border-color: #000;
  border-width: 1px;
  box-shadow: 6px 6px 8px 3px rgba(0, 0, 0, 0.33);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  -moz-backdrop-filter: blur(3px);
}

.login-box form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  width: 80%;
}

.login-box h1 {
  font-family: "Raleway";
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  text-align: center;
  text-transform: uppercase;
  margin-bottom: 38px;
}

.login-box input {
  width: 100%;
  height: 50px;
  border-radius: 8px;
  border-style: solid;
  border-color: #000;
  border-width: 1px;
  padding-left: 20px;
  padding-right: 20px;
  margin-bottom: 20px;
}

.login-box label {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
  margin-bottom: 10px;
}

.login-box button {
  width: 100%;
  height: 50px;
  border-radius: 8px;
  border-style: solid;
  border-color: #000;
  border-width: 1px;
  background-color: #fff;
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
  text-transform: uppercase;
  margin-top: 20px;
}

/* dashbaord */

.dashboard-container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  background: #eaeaea 100%;

  background-image: radial-gradient(#000 1px, transparent 1px), radial-gradient(#000 1px, transparent 1px);
  background-position: 0 0, 25px 25px;
  background-size: 25px 25px;
  
  height: 100vh;
}

.dashboard-navbar {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  width: 300px;
  height: 100%;
  background-color: #fff;
  border-style: solid;
  border-color: #000;
  border-width: 1px;
  border-left: none;
  border-top: none;
  padding-left: 20px;
  padding-top: 30px;
 

  z-index: 11;
}

.dashboard-navbar a {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
  text-transform: uppercase;
  margin-bottom: 20px;
}

.postcard-viewer {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 20px;
  
  width: 100%;
  background-color: #fff;
  border-style: solid;
  border-color: #000;
  border-width: 1px;

  border-radius: 8px;
  padding-left: 20px;
  padding-top: 20px;
  padding-bottom: 20px;
  margin: 30px;

  z-index: 10;
}

.postcard-mediacard {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  width: fit-content;
  background-color: #fff;

  border-radius: 8px;
  
  padding-bottom: 20px;

  z-index: 10;
}

.postcard-mediacard img {
  width: 300px;
  height: auto;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  margin-bottom: 20px;
}

.postcard-mediacard h2 {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
  text-transform: uppercase;
  margin-bottom: 20px;
  margin-left: 20px;
}

.postcard-mediacard p {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 17px;
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 20px;
}

.postcard-mediacard:hover {
  cursor: pointer;
  box-shadow: 6px 6px 8px 3px rgba(0, 0, 0, 0.33);
  transition: box-shadow 0.1s ease-in-out;
}

/* main page and windowing system */
.container {
  background: radial-gradient(
    111.94% 100.78% at -7.5% 102.34%,
    rgba(248, 255, 0, 0.63) 29.44%,
    #3ad59f 100%
  );
  overflow: hidden;
}

main {
  display: flex;
  align-items: center;
  height: 100vh;
  width: 100%;
}

.logo {
  position: absolute;
  top: 16px;
  height: 90px;
  width: 240px;
  border-color: #000;
  border-style: solid;
  border-width: 1px;
  border-left: none;
  border-radius: 0px 8px 8px 0px;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 37px;
  z-index: 30;
  /* From https://css.glass */
  background: rgba(255, 255, 255, 0.25);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
  -moz-backdrop-filter: blur(3px);
}

nav {
  display: flex;
  align-self: center;
  font-family: "Inter";
  font-style: normal;
  font-weight: 500;
  width: 100%;
  font-size: 10pt;
  align-items: center;
  justify-content: space-around;
  flex-direction: row;
}

nav a:hover {
  cursor: pointer;
  text-decoration-line: underline;
}

.nav-ribbon {
  position: absolute;
  user-select: none;
  display: flex;
  flex-direction: row;
  align-items: baseline;
  justify-content: center;
  height: 50px;
  width: 300px;
  border-radius: 8px;
  background-color: #fff;
  border-style: solid;
  border-color: #000;
  border-width: 1px;
  box-shadow: 6px 6px 8px 3px rgba(0, 0, 0, 0.33);
  top: 34px;
  right: 50px;
  z-index: 30;
}

.drag {
  cursor: grab;
  align-self: flex-start;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  z-index: 10;
  background-color: #fff;
  color: #000;
  width: 25px;
  height: 100%;
  border-right-color: #000;
  border-right-style: solid;
  border-right-width: 1px;
  border-bottom-left-radius: 8px;
  border-top-left-radius: 8px;
  padding-left: 10px;
  padding-right: 10px;
}

.hero-header {
  padding-left: 95px;
}

.hero-header h1 {
  user-select: none;
  font-family: "Raleway";
  font-style: normal;
  font-weight: 700;
  font-size: 47px;
  line-height: 55px;
}

.footer {
  position: absolute;
  bottom: 40px;

  display: flex;
  flex-direction: row;
  width: 100%;
  align-items: flex-start;

  padding-left: 95px;

  column-gap: 70px;
}

.footer-column {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;

  z-index: 12;

  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 19px;
}

.footer-logos {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-between;
}

.footer-logos img {
  width: 26px;
  height: auto;
}

.footer-logos :hover img {
  filter: invert();
}

.content-window {
  position: absolute;

  width: 738px;
  height: 520px;
  background-color: white;
  border: 1px solid #000000;
  backdrop-filter: blur(2px);
  z-index: 20;
  /* Note: backdrop-filter has minimal browser support */

  border-radius: 0px 8px 8px 8px;
  top: 290px;
  right: 52px;

  box-shadow: 6px 6px 8px 3px rgba(0, 0, 0, 0.33);

  transition: box-shadow 0.1s ease-in-out;
}

.drag-window {
  user-select: none;
  cursor: grab;
  border-style: solid;
  border-color: #000;
  border-width: 1px;
  border-right: none;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
  background-color: #fff;
  background-image: url(../assets/drag-strips.svg);
  background-repeat: no-repeat;
  background-size: auto;
  background-position: center;
  width: 37px;
  height: 50px;
  left: -38px;
  top: -1px;
  z-index: 1;
}

.drag-shadow {
  box-shadow: 17px 14px 13px 3px rgba(0, 0, 0, 0.33);
  width: 740px;
  height: 522px;
  z-index: 100;
}

.close-window {
  position: absolute;
  width: 20px;
  height: 20px;
  right: 13px;
  top: 18px;
}

.close-window:hover {
  cursor: pointer;
  border-color: darkgrey;
  border-style: solid;
  border-width: 1px;
}

.minimize-window {
  position: absolute;
  width: 20px;
  height: 20px;
  right: 50px;
  top: 19px;
}

.minimize-window:hover {
  cursor: pointer;
  border-color: darkgrey;
  border-style: solid;
  border-width: 1px;
}

.window-content-container {
  overflow-y: scroll;
  margin-left: 50px;
  margin-right: 19px;
  padding-right: 30px;
  height: 85%;
}

.window-header-left {
  padding-left: 5px;
  border-left-style: solid;
  border-left-color: #000;
  border-left-width: 1px;
  font-family: "Raleway";
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  text-transform: uppercase;
  margin-bottom: 38px;
}

.window-header-right {
  padding-right: 5px;
  border-right-style: solid;
  border-right-color: #000;
  border-right-width: 1px;
  font-family: "Raleway";
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  text-align: right;
  text-transform: uppercase;
  margin-bottom: 38px;
}

.window-paragraph {
  margin-bottom: 48px;
}

.postcard-input-container {
  display: flex;
  flex-direction: row;
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
}

.postcard-canvas-container {
  display: flex;
  flex-direction: row;
}

.postcard-canvas {
  display: flex;
  position: absolute;
  flex-direction: row;
}

#postcard-canvas {
  background-color: rgb(255, 255, 255);
  border-bottom-style: none;
  overflow: hidden;
  border-radius: 0px 8px 8px 8px;
}

.postcard-canvas-toolbar {
  position: absolute;
  left: -38px;
  align-self: flex-end;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  height: 330px;
  width: 38px;
  border-top-style: none;
  border-style: solid;
  border-width: 1px;
  border-color: #000;
  background-color: #fff;
  border-radius: 6px 0px 0px 6px;
}
.tool {
  border-style: none;
}

.tool img {
  width: 28px;
  height: auto;
}

.tool:hover {
  cursor: pointer;
  text-shadow: #000;
  filter: drop-shadow(3px 5px 2px rgb(0 0 0 / 0.4));
  width: calc(initial + 2px);
}

.postcard-address-container {
  position: absolute;
  right: 33px;
  bottom: 33px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  width: 330px;
  height: 100px;
}

.postcard-address-container input {
  width: 100%;
}

/** mobile version **/

@media only screen and (max-width: 900px) {
  
  /* login and dashboard */

  .login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: radial-gradient(
      111.94% 100.78% at -7.5% 102.34%,
      #ff6347 29.44%,
      #4169e1 100%
    );
    height: 100vh;
  }

  .login-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 80vw;
    max-height: 460px;
    border-radius: 8px;
    background-color: #fff;
    border-style: solid;
    border-color: #000;
    border-width: 1px;
    box-shadow: 6px 6px 8px 3px rgba(0, 0, 0, 0.33);
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    -moz-backdrop-filter: blur(3px);
  }

  .login-box form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
  }

  .login-box h1 {
    font-family: "Raleway";
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 28px;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 38px;
  }

  .login-box input {
    width: 100%;
    height: 50px;
    font-size: large;
    border-radius: 8px;
    border-style: solid;
    border-color: #000;
    border-width: 1px;
    padding-left: 20px;
    padding-right: 20px;
    margin-bottom: 20px;
  }


  
  
  /* main container */

  main {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
  }

  .logo {
    position: fixed;
    width: 240px;
    height: 90px;
  }

  .hero-header {
    padding-top: 400px;
    padding-left: 27px;
    height: 100vh;
  }

  .hero-header h1 {
    user-select: none;
    font-family: "Raleway";
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 28px;
  }

  /* navigation */

  .nav-ribbon {
    position: fixed;
    user-select: none;
    display: flex;
    flex-direction: row;
    align-items: baseline;
    justify-content: center;
    height: 50px;
    width: 300px;
    border-radius: 8px;
    background-color: #fff;
    border-style: solid;
    border-color: #000;
    border-width: 1px;
    box-shadow: 6px 6px 8px 3px rgba(0, 0, 0, 0.33);
    top: initial;
    bottom: 34px !important;
    right: -275px;
  }

  .nav-ribbon-opened {
    right: initial;

  }

  .content-window {
    position: relative;
    width: 90vw;
  }

  /* footer */

  .footer {
    position: relative;

    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    align-items: flex-start;
    justify-content: center;
    bottom: initial;

    padding-left: 27px;

    column-gap: 70px;
  }
}
